Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.stats
Class CascadeStats

    java.lang.Object
      cascading.stats.CascadingStats
          cascading.stats.CascadeStats

All Implemented Interfaces:
  Serializable

    public class CascadeStats

extends CascadingStats

Class CascadeStats collects `Cascade` specific statistics.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class cascading.stats.CascadingStats
`CascadingStats.Status`

Field Summary

Fields inherited from class cascading.stats.CascadingStats
`clientState, STATS_STORE_INTERVAL`

Constructor Summary
`CascadeStats(Cascade cascade, ClientState clientState)`

Method Summary
`void` | `addFlowStats(FlowStats flowStats)` Method addFlowStats add a child `Flow` {2link FlowStats} instance.
`void` | `captureDetail()` Method captureDetail will recursively capture details about nested systems.
`Collection` | `getChildren()` Method getChildren returns any relevant child statistics instances.
`Collection<String>` | `getCounterGroups()` Method getCounterGroups returns all the available counter group names.
`Collection<String>` | `getCounterGroupsMatching(String regex)` Method getCounterGroupsMatching returns all the available counter group names that match the given regular expression.
`Collection<String>` | `getCountersFor(String group)` Method getCountersFor returns all the counter names for the give group name.
`long` | `getCounterValue(Enum counter)` Method getCounter returns the current value for the given counter Enum.
`long` | `getCounterValue(String group, String counter)` Method getCounter returns the current value for the given group and counter.
`int` | `getFlowCount()` Method getFlowCount returns the number of `Flow`s executed by the Cascade.
`String` | `getID()` Method getID returns the ID of this CascadingStats object.
`void` | `recordInfo()`
`String` | `toString()`

Methods inherited from class cascading.stats.CascadingStats
`cleanup, getCountersFor, getCurrentDuration, getDuration, getFinishedTime, getName, getPendingTime, getRunTime, getStartTime, getStatsString, getStatus, getSubmitTime, getThrowable, isEngaged, isFailed, isFinished, isPending, isRunning, isSkipped, isStarted, isStopped, isSubmitted, isSuccessful, markFailed, markPending, markPendingTime, markRunning, markRunTime, markSkipped, markStarted, markStartedThenRunning, markStartTime, markStartToRunTime, markStopped, markSubmitted, markSubmitTime, markSuccessful, prepare, recordStats, setStatsStoreInterval`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CascadeStats

    public CascadeStats(Cascade cascade,
                        ClientState clientState)

Method Detail

### getID

    public String getID()

  Description copied from class: `CascadingStats`
  Method getID returns the ID of this CascadingStats object.

  Specified by:
    `getID` in class `CascadingStats`
  Returns:
    the ID (type Object) of this CascadingStats object.

### recordInfo

    public void recordInfo()

  Specified by:
    `recordInfo` in class `CascadingStats`

### addFlowStats

    public void addFlowStats(FlowStats flowStats)

  Method addFlowStats add a child `Flow` {2link FlowStats} instance.

  Parameters:
    `flowStats` - of type FlowStats

### getFlowCount

    public int getFlowCount()

  Method getFlowCount returns the number of `Flow`s executed by the Cascade.

  Returns:
    the flowCount (type int) of this CascadeStats object.

### getCounterGroups

    public Collection<String> getCounterGroups()

  Description copied from class: `CascadingStats`
  Method getCounterGroups returns all the available counter group names.

  Specified by:
    `getCounterGroups` in class `CascadingStats`
  Returns:
    the counterGroups (type Collection) of this CascadingStats object.

### getCounterGroupsMatching

    public Collection<String> getCounterGroupsMatching(String regex)

  Description copied from class: `CascadingStats`
  Method getCounterGroupsMatching returns all the available counter group names that match the given regular expression.

  Specified by:
    `getCounterGroupsMatching` in class `CascadingStats`
  Parameters:
    `regex` - of type String
  Returns:
    Collection

### getCountersFor

    public Collection<String> getCountersFor(String group)

  Description copied from class: `CascadingStats`
  Method getCountersFor returns all the counter names for the give group name.

  Specified by:
    `getCountersFor` in class `CascadingStats`
  Returns:
    Collection

### getCounterValue

    public long getCounterValue(Enum counter)

  Description copied from class: `CascadingStats`
  Method getCounter returns the current value for the given counter Enum.

  Specified by:
    `getCounterValue` in class `CascadingStats`
  Parameters:
    `counter` - of type Enum
  Returns:
    the current counter value

### getCounterValue

    public long getCounterValue(String group,
                                String counter)

  Description copied from class: `CascadingStats`
  Method getCounter returns the current value for the given group and counter.

  Specified by:
    `getCounterValue` in class `CascadingStats`
  Parameters:
    `group` - of type String
    `counter` - of type String
  Returns:
    the current counter value

### captureDetail

    public void captureDetail()

  Description copied from class: `CascadingStats`
  Method captureDetail will recursively capture details about nested systems. Use this method to persist statistics about a given Cascade, Flow, or FlowStep.

  Each CascadingStats object must be individually inspected for any system specific details.

  Specified by:
    `captureDetail` in class `CascadingStats`

### getChildren

    public Collection getChildren()

  Description copied from class: `CascadingStats`
  Method getChildren returns any relevant child statistics instances. They may not be of type CascadingStats, but instead platform specific.

  Specified by:
    `getChildren` in class `CascadingStats`
  Returns:
    a Collection of child statistics

### toString

    public String toString()

  Overrides:
    `toString` in class `CascadingStats`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.